Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.value
Class DateTimeValue

    java.lang.Object
      org.exist.xquery.value.AtomicValue
          org.exist.xquery.value.ComputableValue
              org.exist.xquery.value.AbstractDateTimeValue
                  org.exist.xquery.value.DateTimeValue

All Implemented Interfaces:
  java.lang.Comparable, Indexable, Item, Sequence

public class DateTimeValue
extends AbstractDateTimeValue

Represents a value of type xs:dateTime.

Author:
  Wolfgang Meier (wolfgang@exist-db.org), Piotr Kaminski

Field Summary

Fields inherited from class org.exist.xquery.value.AbstractDateTimeValue
`calendar, DAY, HOUR, MILLISECOND, MINUTE, MONTH, SECOND, YEAR`

Fields inherited from class org.exist.xquery.value.AtomicValue
`EMPTY_VALUE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`DateTimeValue()`
`DateTimeValue(java.util.Date date)`
`DateTimeValue(java.lang.String dateTime)`
`DateTimeValue(javax.xml.datatype.XMLGregorianCalendar calendar)`

Method Summary
`AtomicValue` | `convertTo(int requiredType)` Convert this item into an atomic value, whose type corresponds to the specified target type.
`java.util.Date` | `getDate()`
`int` | `getType()` Return the type of this item according to the type constants defined in class `Type`.
`ComputableValue` | `minus(ComputableValue other)`

Methods inherited from class org.exist.xquery.value.AbstractDateTimeValue
`adjustedToTimezone, compareTo, compareTo, compareTo, conversionPreference, div, effectiveBooleanValue, getPart, getStringValue, getTimezone, max, min, mult, plus, toJavaObject, withoutTimezone`

Methods inherited from class org.exist.xquery.value.AtomicValue
`add, addAll, atomize, clearContext, contains, copyTo, deserialize, dump, endsWith, getCardinality, getDocumentSet, getItemType, getLength, hasMany, hasOne, isCached, isEmpty, isPersistentSet, itemAt, iterate, promote, removeDuplicates, serialize, serializeValue, setIsCached, setSelfAsContext, startsWith, toNodeSet, toSAX, toSequence, toString, unorderedIterator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateTimeValue

    public DateTimeValue()
                  throws XPathException

### DateTimeValue

    public DateTimeValue(javax.xml.datatype.XMLGregorianCalendar calendar)

### DateTimeValue

    public DateTimeValue(java.util.Date date)

### DateTimeValue

    public DateTimeValue(java.lang.String dateTime)
                  throws XPathException

Method Detail

### getType

    public int getType()

  Description copied from interface: `Item`
  Return the type of this item according to the type constants defined in class `Type`.

  Specified by:
    `getType` in interface `Item`
  Overrides:
    `getType` in class `AtomicValue`

### convertTo

    public AtomicValue convertTo(int requiredType)
                          throws XPathException

  Description copied from interface: `Item`
  Convert this item into an atomic value, whose type corresponds to the specified target type. requiredType should be one of the type constants defined in `Type`. An `XPathException` is thrown if the conversion is impossible.

  Specified by:
    `convertTo` in interface `Item`
  Specified by:
    `convertTo` in class `AbstractDateTimeValue`
  Throws:
    `XPathException`

### minus

    public ComputableValue minus(ComputableValue other)
                          throws XPathException

  Specified by:
    `minus` in class `ComputableValue`
  Throws:
    `XPathException`

### getDate

    public java.util.Date getDate()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.